# File Service - OSDU

# Key Concepts


This service allows users to manage files on the  Data Platform. File Management includes uploads, downloads and creation of metadata record for the file.

```plain {% title="Client ID" %}
963f2cc6915e479fa0fcb73ec2ec90e7
```


Version: 2.0.0

## Servers

SLB Saas OSDU (SGP)
```
https://as5.api.enterprisedata.slb.com/api/file
```

SLB SaaS OSDU (BRS)
```
https://br5.api.enterprisedata.slb.com/api/file
```

SLB Saas OSDU (WEU)
```
https://eu5.api.enterprisedata.slb.com/api/file
```

SLB SaaS OSDU (EUT)
```
https://eu6.api.enterprisedata.slb.com/api/file
```

SLB Saas OSDU (MDE)
```
https://eu7.api.enterprisedata.slb.com/api/file
```

SLB Saas OSDU (PSC)
```
https://us5.api.enterprisedata.slb.com/api/file
```

SLB Saas OSDU (USC)
```
https://us7.api.enterprisedata.slb.com/api/file
```

SLB Saas OSDU (WUS)
```
https://us8.api.enterprisedata.slb.com/api/file
```

SLB Saas OSDU (SAS)
```
https://as6.api.enterprisedata.slb.com/api/file
```

SLB Saas OSDU (SWC)
```
https://eu8.api.enterprisedata.slb.com/api/file
```

SLB Saas OSDU (MYW)
```
https://as7.api.enterprisedata.slb.com/api/file
```

SLB Saas OSDU (ZAN)
```
https://za1.api.enterprisedata.slb.com/api/file
```

## Security

### bearer

User Token from SLB Authenticator Service

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [File Service - OSDU](https://developer.slb.com/_bundle/solutions/core-service/apis/OSDU-File-Service.yaml)

## File Service

 - [GET /v2/files/uploadURL](https://developer.slb.com/solutions/core-service/apis/osdu-file-service/file-service/get%20the%20location%20to%20upload%20a%20file.md): Gets a temporary signed URL to upload a file (Service does not upload the file by itself, User needs to use this URL to upload the file). The generated URL is time bound and by default expires by 7 da
 - [POST /v2/files/metadata](https://developer.slb.com/solutions/core-service/apis/osdu-file-service/file-service/publish%20file%20metadata%20for%20a%20file..md): This API creates a metadata record for a file that is already uploaded. The Metadata is linked to the file via `FileSource` provided in the request body. If `FileSource` attribute is missing in the re
 - [GET /v2/files/{Id}/metadata](https://developer.slb.com/solutions/core-service/apis/osdu-file-service/file-service/gets%20metadata%20record%20for%20the%20given%20id.md): Gets the latest version of File metadata record identified by the given id. **Required roles**: 'service.file.viewers'. Users added to groups 'users.datalake.viewers', 'users.datalake.editors', 'users
 - [DELETE /v2/files/{Id}/metadata](https://developer.slb.com/solutions/core-service/apis/osdu-file-service/file-service/deletes%20metadata%20record%20&%20file%20for%20the%20given%20id.md): Deletes the File metadata record identified by the given id and file associated with that metadata record. **Required roles**: 'users.datalake.editors' or 'users.datalake.admins'.
 - [POST /v2/files/revokeURL](https://developer.slb.com/solutions/core-service/apis/osdu-file-service/file-service/revoke%20the%20signed%20url.md): This API Revokes the Signed URLs based on the given request parameters. For example: for the given storage account.
 - [GET /v2/files/{Id}/downloadURL](https://developer.slb.com/solutions/core-service/apis/osdu-file-service/file-service/gets%20url%20to%20download%20the%20file%20associated%20with%20the%20given%20id..md): Gets a URL for downloading the file associated with the unique `id`. By default, the download URL is valid for 7 days. **Required roles**: 'service.file.viewers'. Users added to groups 'users.datalake
## Legacy

 - [POST /v2/getLocation](https://developer.slb.com/solutions/core-service/apis/osdu-file-service/legacy/get%20a%20location%20in%20landing%20zone%20to%20upload%20a%20file.md): Creates a new location in the landing zone to upload a file. If a FileID isn't provided in the request, the File service generates a Universally Unique Identifier (UUID) to be stored in FileID. If a
 - [POST /v2/getFileLocation](https://developer.slb.com/solutions/core-service/apis/osdu-file-service/legacy/get%20file%20location%20and%20driver.md): Returns file `Location` and `Driver`.
 - [POST /v2/getFileList](https://developer.slb.com/solutions/core-service/apis/osdu-file-service/legacy/get%20file%20list%20for%20auditing%20uploads.md): Allows the application to audit the attempted file uploads. The method is internal and isn't available for third-party applications.
## Info

 - [GET /v2/info](https://developer.slb.com/solutions/core-service/apis/osdu-file-service/info/version%20info.md): For deployment available public `/info` endpoint, which provides build and git related information.
